petsc-3.4.2 2013-07-02

# VecNestSetSubVecs

Sets the component vectors at the specified indices in a nest vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNestSetSubVecs(Vec X,PetscInt N,PetscInt *idxm,Vec *sx)

Not collective

### Input Parameters

| X | - nest vector
| N | - number of component vecs in sx
| idxm | - indices of component vecs that are to be replaced
| sx | - array of vectors

### Notes

The components in the vector array sx do not have to be of the same size as corresponding components in X. The user can also free the array "sx" after the call.

### See Also

VecNestGetSize(), VecNestGetSubVec()

Level:developer
Location:src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages